Version: 1.0
%define subver  beta2
Release: alt0.6%{subver}
Name: emacs-ede
Copyright: GPL
Group: Editors
Url: http://cedet.sourceforge.net/ede.shtml
Summary: Emacs Development Environment
Summary(ru_RU.CP1251):    Emacs
Requires: emacs-common emacs-speedbar emacs-eieio

Source: EDE-%{version}.%{subver}.tar.gz
Source1: ede-emacs.el 

BuildArch: noarch

# Automatically added by buildreq on Thu Jul 18 2002
BuildRequires: emacs-common emacs-speedbar emacs-eieio

%description
EDE is an Emacs lisp program which implements an environment similar to
those found in IDEs (Integrated Development Environment). While Emacs is the
premier development environment, and has lots of support for this activity,
EDE brings many divergent commands used for debugging, and compiling and
sticks them into a simple menu next to commands used for maintaining a
project file.

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%description -l ru_RU.CP1251
EDE    ,    IDE.

   Emacs Lisp ,      
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description el -l ru_RU.CP1251
 %name-el      %name,  
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n EDE-%{version}.%{subver}

%build
make LOADPATH="%{_emacslispdir}/eieio %{_emacslispdir}/speedbar"

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/ede
install -m 644 *.el* $RPM_BUILD_ROOT%{_emacslispdir}/ede

mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m 644 *.info* $RPM_BUILD_ROOT%{_infodir}

mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/ede.el

%clean

%post
%install_info ede.info

%preun
%uninstall_info ede.info

%files
%defattr(-, root, root)
%doc NEWS README TODO
%{_infodir}/*
%{_emacslispdir}/ede/*.elc
/etc/emacs/site-start.d/*

%files el
%{_emacslispdir}/ede/*.el

%changelog
* Mon Feb 17 2003 Ott Alex <ott@altlinux.ru> 1.0-alt0.6beta2
- Fixing spec file

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 1.0-alt0.5beta2
- fixing spec

* Thu Aug 22 2002 Ott Alex <ott@altlinux.ru> 1.0-alt0.3beta2
- Splitting on byte-compiled & source packages

* Tue Aug 06 2002 Ott Alex <ott@altlinux.ru> 1.0-alt0.2beta2
- Adding right Requires to spec

* Thu Jul 18 2002 Ott Alex <ott@altlinux.ru> 1.0-alt0.1beta2
- Initial build

